Summary: FPK-pascal compiler
Name: fpk-pascal
Version: 0.9.1
Release: 2
ExclusiveArch: i386
Copyright: GPL
Group: Development/Languages
Source: ftp://mailserv.brain.uni-freiburg.de/gig2/pub/dos/fpk-pas/linux/fpk-%{PACKAGE_VERSION}.ELF.tar
BuildRoot: /var/tmp/fpk-pascal-%{PACKAGE_VERSION}-root

%define package_name fpk-pascal-%{PACKAGE_VERSION}
%define libdir /usr/lib/ppc/
%define vlibdir %{libdir}/%{PACKAGE_VERSION}
%define docdir /usr/doc/%{package_name}-%{PACKAGE_RELEASE}

%description
FPKPascal is less or more compatible with Turbo Pascal 7.0 and Delphi II (not yet completely implemented). Some extensions are added to the language, like function overloading.

%changelog

* Sun Dec 7 1997 Peter Soos <sp@osb.hu>
- Improved handling of version number
- automatic generation of config file
- using BuildRoot

%prep
%setup -c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/%{docdir}
mkdir -p $RPM_BUILD_ROOT/%{vlibdir}/demos
mkdir -p $RPM_BUILD_ROOT/%{vlibdir}/sources
cd $RPM_BUILD_ROOT/%{docdir}
tar xvzf $RPM_BUILD_DIR/%{package_name}/docs.tar.gz
cd $RPM_BUILD_ROOT/%{vlibdir}/sources
tar xvzf $RPM_BUILD_DIR/%{package_name}/sources.tar.gz
cd $RPM_BUILD_ROOT/%{vlibdir}/demos
tar xvzf $RPM_BUILD_DIR/%{package_name}/demo.tar.gz
cd $RPM_BUILD_ROOT/%{vlibdir}
tar xvzf $RPM_BUILD_DIR/%{package_name}/libs.tar.gz
install -m 755 -o root -g root ppc386 $RPM_BUILD_ROOT/usr/bin
ln -sf ppc386 $RPM_BUILD_ROOT/usr/bin/ppc
rm -f ppc386 libgcc.a

GCCLIB=`dirname \`rpm -ql gcc|grep libgcc.a\``
cat << EOF > $RPM_BUILD_ROOT/etc/ppc386.cfg
-a
-q-
-Fr%{vlibdir}/errorE.msg
-Fg$GCCLIB
-Up%{vlibdir}/linuxunits
EOF

chown -R root.root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %{docdir}/*
%config /etc/ppc386.cfg
/usr/bin/ppc386
/usr/bin/ppc
%{vlibdir}
%dir %{libdir}
